module Fettle
  class CheckResult
    def initialize(status)
      @status = status
    end

    def healthy?
      @status
    end

    def status_code
      if healthy?
        :ok
      else
        :service_unavailable
      end
    end
  end
end
