require_dependency 'fettle/application_controller'

module Fettle
  class HealthController < ApplicationController
    def show
      result = Checker.run(tag: params[:tag])

      render(
        json: { healthy: result.healthy? },
        status: result.status_code
      )
    end
  end
end
